//================================================================================================
// File Name  : tom_player_unl.gsc 
// File Info  : Plays music using menu file.
// site       : www.zombiemodding.com
// Author     : Tom_bmx
// Notes      : supports unlimated play locations.
//================================================================================================
#include common_scripts\utility; 
#include maps\_zombiemode_utility;
#include maps\_utility;
main()
{
	level.playing = false;
	level.in_menu = false;
	level.tom_song_time = undefined;
	level.music_box_levers = getEntArray("music_box_switch", "targetname");
	level.music_box_trigs = getEntArray("music_box_player","targetname");
	array_thread (level.music_box_trigs,::trig_watch);
}
trig_watch()
{
	self setCursorHint("HINT_NOICON");
	player = undefined;
	thread music_light_green();
	ths_music( "Press F To Play A Song" );
	while(1)
	{
	self waittill( "trigger", player );
	if(level.in_menu || level.playing )
	 continue;
	level.in_menu = true;
	thread music_light_red();
	thread music_handel(true);
	ths_music( undefined , player );
	player openMenu( game["tom_music_player"] ); 
	song = monitor_menu( player );
	level.in_menu = false;
	 if(song != "closed" && !level.playing)
	 {
	   level.playing = true;
	   ths_music( "Wait till the song is done." );
	   players = get_players();
	   for( i = 0; i < players.size; i++ )
		players[i] playsound(song);
	   wait (level.tom_song_time); 
	   level.tom_song_time = 0;
	   thread music_light_green();
	   ths_music( "Press F To Play A Song" );
	   level.playing = false;
	 }
	 else
	 {
	  thread music_handel(false);
	  thread music_light_green();
	  ths_music( "Press F To Play A Song" );
	 }
	 wait .1;
	}
}
monitor_menu( player )
{
	song = undefined;
	level endon( "intermission" );
	level endon( "disconect" );
	player waittill("menuresponse", menu, response);
	if(menu == game["tom_music_player"])
	{
		switch( response )
		{
			case "1":
				song = "mx_eggs";
				level.tom_song_time = 260;
				break;
			case "2":
				song = "mx_eggs1";
				level.tom_song_time = 290;
				break;
			case "3":
				song = "music_1";
				level.tom_song_time = 300;
				break;// end of stock
			case "4":
				song = "";
				level.tom_song_time = 0;
				break;
			case "5":
				song = "";
				level.tom_song_time = 0;
				break;
			case "6":
				song = "";
				level.tom_song_time = 0;
				break;
			case "7":
				song = "";
				level.tom_song_time = 0;
				break;
			case "8":
				song = "";
				level.tom_song_time = 0;
				break;
			case "9":
				song = "closed";
				break;
		}
		player closeMenu( game["tom_music_player"] );
		return song;
	}
}
music_light_green()
{
	music_lights = getentarray("music_box_light","targetname");
    if(music_lights.size > 0)
	{
	for(i=0;i<music_lights.size;i++)
		music_lights[i] setmodel("zombie_zapper_cagelight_green");	
	if(isDefined(level.music_light))
	{
	 for(i=0;i<level.music_light.size;i++)
	  level.music_light[i] delete();
	}
	for(i=0;i<music_lights.size;i++)
	{
	level.music_light[i] = spawn("script_model",music_lights[i].origin);
	level.music_light[i] setmodel("tag_origin");	
	level.music_light[i].angles = (-90,0,0);
	playfxontag(level._effect["zapper_light_ready"],level.music_light[i],"tag_origin");
	}
    }	
}
music_light_red()
{
	music_lights = getentarray("music_box_light","targetname");
    if(music_lights.size > 0)
	{
	for(i=0;i<music_lights.size;i++)
		music_lights[i] setmodel("zombie_zapper_cagelight_red");		
	if(isDefined(level.music_light))
	{
	 for(i=0;i<level.music_light.size;i++)
	  level.music_light[i] delete();
	}
	for(i=0;i<music_lights.size;i++)
	{
	level.music_light[i] = spawn("script_model",music_lights[i].origin);
	level.music_light[i] setmodel("tag_origin");
	level.music_light[i].angles = (-90,0,0);	
	playfxontag(level._effect["zapper_light_notready"],level.music_light[i],"tag_origin");
	}
	}
}
music_handel(di)
{
l = level.music_box_levers;
 if(l.size > 0)
 { 
  for(i=0;i<l;i++)
  {
   if(di)
    l[i] rotateroll(-90,1);
   else
    l[i] rotateroll(90,1);
   l[i] playsound("switch_flip");
  }
 }
}
ths_music( hint, picking )
{
if(isDefined(hint))
	for(i=0;i<level.music_box_trigs.size;i++)
		level.music_box_trigs[i] setHintString(hint);
if(isDefined(picking))
	for(i=0;i<level.music_box_trigs.size;i++)
		level.music_box_trigs[i] setHintString("Player ^1"+picking.playername+" ^7Picking");
}





